export { router } from "@/router";
export { client } from "@/client.ts";
export * as api from "@/client.ts"; 
export * as store from "@/store";

export * from "@/assets/style.css";
export * from "@/assets/logo.svg";


// Used for debug 
export const devel = import.meta.hot;

// Retrieve content from meta tags
export const headMeta = (metaName: string): string | null => {
    let meta = document.getElementsByTagName('meta');

    for (let item of meta) {
        if (item.getAttribute("name") === metaName) {
            return item.getAttribute("content");
        }
    }

    return null;
};
